org.apache.sling.testing.tools.sling

## Class BundlesInstaller

- java.lang.Object
- - org.apache.sling.testing.tools.sling.BundlesInstaller

    public class BundlesInstaller
    extends Object

Utility that installs and starts additional bundles for testing

### Field Summary

Fields
`static String` `ACTIVE_STATE`

### Constructor Summary

Constructors
Constructor and Description
`BundlesInstaller(WebconsoleClient wcc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBundleSymbolicName(File bundleFile)`
`String` `getBundleVersion(File bundleFile)`
`void` `installBundles(List<File> toInstall, boolean startBundles)` Install a list of bundles supplied as Files
`boolean` `isInstalled(File bundleFile)`
`boolean` `isInstalledWithSameVersion(File bundleFile)` Check if the installed version matches the one of the bundle (file)
`void` `startAllBundles(List<String> symbolicNames, int timeoutSeconds)`
`void` `uninstallBundles(List<File> toUninstall)` Uninstall a list of bundles supplied as Files
`void` `waitForBundlesInstalled(List<String> symbolicNames, int timeoutSeconds)` Wait for all bundles specified in symbolicNames list to be installed in the remote web console.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACTIVE_STATE

    public static final String ACTIVE_STATE

See Also:
  Constant Field Values

### Constructor Detail

#### BundlesInstaller

    public BundlesInstaller(WebconsoleClient wcc)

### Method Detail

#### isInstalled

    public boolean isInstalled(File bundleFile)
                        throws Exception

Throws:
  `Exception`

#### isInstalledWithSameVersion

    public boolean isInstalledWithSameVersion(File bundleFile)
                                       throws Exception

Check if the installed version matches the one of the bundle (file)

Throws:
  `Exception`

#### installBundles

    public void installBundles(List<File> toInstall,
                               boolean startBundles)
                        throws Exception

Install a list of bundles supplied as Files

Throws:
  `Exception`

#### uninstallBundles

    public void uninstallBundles(List<File> toUninstall)
                          throws Exception

Uninstall a list of bundles supplied as Files

Throws:
  `Exception`

#### waitForBundlesInstalled

    public void waitForBundlesInstalled(List<String> symbolicNames,
                                        int timeoutSeconds)
                                 throws Exception

Wait for all bundles specified in symbolicNames list to be installed in the remote web console.

Throws:
  `Exception`

#### startAllBundles

    public void startAllBundles(List<String> symbolicNames,
                                int timeoutSeconds)
                         throws Exception

Throws:
  `Exception`

#### getBundleSymbolicName

    public String getBundleSymbolicName(File bundleFile)
                                 throws IOException

Throws:
  `IOException`

#### getBundleVersion

    public String getBundleVersion(File bundleFile)
                            throws IOException

Throws:
  `IOException`